extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Estado"
    - var ListadoCabecera = ["País", "Estado", "Descripcion"]
    - var TamanoColeccion = "tEstados.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tEstado of tEstados | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tEstado})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tEstado.Codpais }}
        td
            h6 {{ tEstado.Codestado }}
        td
            h6.text-nowrap {{ tEstado.Descripcion }}